## kernel-image-2.6.8-sparc 2.6.8-15

=== debian/changelog ===
kernel-image-2.6.8-sparc (2.6.8-15) unstable; urgency=high

  * Fix typo in -sparc32 image description. Oops (Joshua Kwan).
  * Build against 2.6.8-15 (Andres Salomon).

 -- Andres Salomon <dilinger@debian.org>  Wed, 23 Mar 2005 01:03:31 -0500

kernel-image-2.6.8-sparc (2.6.8-6) unstable; urgency=high

  * Bump soname to 2 due to security fixes which break binary
    compatibility.
  * Build from 2.6.8-11, pulling in lots of juicy sparc fixes.
    closes: #287287
  * Remove bogus export CC := gcc-3.4 that was only used for debugging
    and caused a FTBFS.
  * Version kernel-headers dependency on kernel-kbuild-2.6-3.
  * Fix lots of things concerning kernel-headers generation by borrowing
    lots of code from i386. closes: #285847
  * Improve package descriptions.

 -- Joshua Kwan <joshk@triplehelix.org>  Mon, 27 Dec 2004 18:35:33 -0800

kernel-image-2.6.8-sparc (2.6.8-5) unstable; urgency=high

  * Add CONFIG_DM9102=m for some Netra X1s and Sun Fire V100s.
    Thanks Thomas Michlmayr.

 -- Joshua Kwan <joshk@triplehelix.org>  Thu, 25 Nov 2004 17:42:40 -0800

kernel-image-2.6.8-sparc (2.6.8-4) unstable; urgency=high

  * build from kernel-tree-2.6.8-9 to fix lots of bugs:
    - fix possible timeouts with sunzilog (benh)
    - fix broken initialization method for cg14 framebuffer (Bob Breuer)
    - sparc32: fix memcpy() bug that caused ramdisk failure (Jurij Smakov)
    - sparc64: don't let breaks get eaten by sunsab (Jurij Smakov)

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 24 Nov 2004 19:01:31 -0500

kernel-image-2.6.8-sparc (2.6.8-3) unstable; urgency=high

  * Ugh, add missing Depends line for sparc64-smp. (Closes: #269274)
  * Use the btfix'd System.map to fix sparc32 piggybacks for d-i.
  * Build from kernel-tree-2.6.8-6.

 -- Joshua Kwan <joshk@triplehelix.org>  Sun, 17 Oct 2004 17:20:46 -0400

kernel-image-2.6.8-sparc (2.6.8-2) unstable; urgency=high

  * Patches from David Miller added to allow d-i to work on sparc64,
    so change bdep to kernel-tree-2.6.8-5.
  * Nuke metapackages in favor of kernel-latest-2.6-sparc.
  * Add sparc32 UP!
  * Disable nfsroot support because we don't build any kernel NIC
    drivers in any more.

 -- Joshua Kwan <joshk@triplehelix.org>  Fri, 27 Aug 2004 11:34:07 -0700

kernel-image-2.6.8-sparc (2.6.8-1) unstable; urgency=high

  * New upstream version.
  * Not for sparc32 SMP, unfortunately.
  * From kernel-image-sparc-2.4:
    - Disable JFS support. It seems to be 64-bit unclean right now,
      along with SCTP.
    - Switch to an initrd scheme, finally.
  * Add dependency on module-init-tools.
  * Remove build-dependency on gcc-3.3, handled by build-essential already,
    but change it to gcc (>= 4:3.3).
  * Change to Herbert Xu's build system.

 -- Joshua Kwan <joshk@triplehelix.org>  Fri, 16 Jul 2004 01:33:13 -0700
