=== debian/control ===
--- 
+++ 
@@ -2,21 +2,21 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
-Uploaders: Joshua Kwan <joshk@triplehelix.org>, Ben Collins <bcollins@debian.org>, Andres Salomon <dilinger@debian.org>
+Uploaders: Joshua Kwan <joshk@triplehelix.org>, Ben Collins <bcollins@debian.org>, Andres Salomon <dilinger@debian.org>, dann frazier <dannf@debian.org>
 Standards-Version: 3.6.1.0
-Build-Depends: gcc (>= 4:3.3), kernel-tree-2.6.8-15, debhelper (>= 4), kernel-package, sparc-utils, module-init-tools
+Build-Depends: gcc (>= 4:3.3), kernel-tree-2.6.8-17sarge1, debhelper (>= 4), kernel-package, sparc-utils, module-init-tools
 
-Package: kernel-build-2.6.8-2
+Package: kernel-build-2.6.8-4
 Architecture: sparc
 Section: devel
 Priority: optional
-Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-2-sparc64, kernel-headers-2.6.8-2-sparc64-smp
+Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-4-sparc64, kernel-headers-2.6.8-4-sparc64-smp
 Description: Headers for building modules for Linux 2.6.8
  This package provides kernel header files for building modules for the
  precompiled kernel images on the 64-bit SPARC architecture (uniprocessor and
  multiprocessor.)
 
-Package: kernel-headers-2.6.8-2
+Package: kernel-headers-2.6.8-4
 Architecture: sparc
 Section: devel
 Priority: optional
@@ -30,26 +30,26 @@
  This package consists mostly of the common files between the three header
  packages you should really be using for building modules:
  .
- - kernel-headers-2.6.8-2-sparc32
- - kernel-headers-2.6.8-2-sparc64
- - kernel-headers-2.6.8-2-sparc64-smp
+ - kernel-headers-2.6.8-4-sparc32
+ - kernel-headers-2.6.8-4-sparc64
+ - kernel-headers-2.6.8-4-sparc64-smp
  .
  For more information you can also read:
- /usr/share/doc/kernel-headers-2.6.8-2/debian.README.gz.
+ /usr/share/doc/kernel-headers-2.6.8-4/debian.README.gz.
 
-Package: kernel-headers-2.6.8-2-sparc32
+Package: kernel-headers-2.6.8-4-sparc32
 Architecture: sparc
 Section: devel
 Priority: optional
-Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-2
+Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-4
 Provides: kernel-headers, kernel-headers-2.6
 Description: Header files for Linux kernel 2.6.8 on uniprocessor 32-bit SPARC
  This package provides kernel header files for version 2.6.8 on the 32-bit 
  SPARC architecture, used to build out-of-tree kernel modules. If you have
- more than one processor, you want the kernel-headers-2.6.8-2-sparc64-smp
+ more than one processor, you want the kernel-headers-2.6.8-4-sparc64-smp
  package.
 
-Package: kernel-image-2.6.8-2-sparc32
+Package: kernel-image-2.6.8-4-sparc32
 Section: base
 Architecture: sparc
 Priority: optional
@@ -75,19 +75,19 @@
  systems. If you do not have a SuperSPARC or HyperSPARC CPU, then most likely
  you want the sparc64 image. See kernel-image-2.6-sparc64.
 
-Package: kernel-headers-2.6.8-2-sparc64
+Package: kernel-headers-2.6.8-4-sparc64
 Architecture: sparc
 Section: devel
 Priority: optional
-Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-2
+Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-4
 Provides: kernel-headers, kernel-headers-2.6
 Description: Header files for Linux kernel 2.6.8 on uniprocessor 64-bit SPARC
  This package provides kernel header files for version 2.6.8 on the 64-bit 
  SPARC architecture, used to build out-of-tree kernel modules. If you have
- more than one processor, you want the kernel-headers-2.6.8-2-sparc64-smp
+ more than one processor, you want the kernel-headers-2.6.8-4-sparc64-smp
  package.
 
-Package: kernel-image-2.6.8-2-sparc64
+Package: kernel-image-2.6.8-4-sparc64
 Section: base
 Architecture: sparc
 Priority: optional
@@ -113,19 +113,19 @@
  do not have an UltraSPARC, then most likely you want the sparc32 image. See
  kernel-image-2.6-sparc32.
 
-Package: kernel-headers-2.6.8-2-sparc64-smp
+Package: kernel-headers-2.6.8-4-sparc64-smp
 Architecture: sparc
 Section: devel
 Priority: optional
-Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-2
+Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-4
 Provides: kernel-headers, kernel-headers-2.6
 Description: Header files for Linux kernel 2.6.8 on multiprocessor 64-bit SPARC
  This package provides kernel header files for version 2.6.8 on the 64-bit
  SPARC architecture, used to build out-of-tree kernel modules. If you only
- have one processor, you want the kernel-headers-2.6.8-2-sparc64 package
+ have one processor, you want the kernel-headers-2.6.8-4-sparc64 package
  instead.
 
-Package: kernel-image-2.6.8-2-sparc64-smp
+Package: kernel-image-2.6.8-4-sparc64-smp
 Section: base
 Architecture: sparc
 Priority: optional
